# Ден от седмицата (Day of the week) #

* Автори: Abdel, Noelia.
* Изтегляне на [стабилна версия][1]
* Изтегляне на [тестова версия][2]

Тази добавка ви позволява да намерите деня от седмицата, съответстващ на
посочена от вас дата.

Добавя подменюто "Ден от седмицата" в меню "Инструменти" на NVDA. То съдържа
два елемента:

* Първият с етикет "Търсене на ден", отваря диалогов прозорец, съдържащ три
  контроли:

    * Списък за посочване или въвеждане на датата.
    * Бутон с етикет "OK", който извежда диалогов прозорец с името на деня
      от седмицата.
    * Бутон с етикет "Затвори", с който да затворите прозореца.

* Вторият с етикет "Настройки на добавката Ден От Седмицата" отваря диалогов
  прозорец с настройките на добавката за указване дали желаете да бъдат
  съобщавани етикетите на полетата за избор на дата или не. Той съдържа
  следните елементи:

    * Включи достъпността на селектора за дата.
    * Ниво на известяване за етикетите с три възможности за избор:

        * Дълго (това е изборът по подразбиране).
        * Късо (за по-кратки съобщения).
        * Изключено (за изключване на съобщаването на етикетите).

    * Включи съобщенията само за стойността на полето за текущата дата при
      вертикално придвижване.
    * Бутон с етикет "OK" за запазване на настройките.
    * Бутон с етикет "Отказ" за отказ от промените и затваряне на диалоговия
      прозорец.

## Забележки ##

* Можете да затворите тези прозорци и като просто натиснете клавиша Escape.
* Можете да назначите клавишни комбинации за извикване на тези диалогови
  прозорци, като от менюто на NVDA -> Настройки -> Жестове на въвеждане
  отворите прозореца "Жестове на въвеждане" и от дървовидната структура
  разгънете категорията "Ден от седмицата".
* Ако използвате NVDA 2018.2 или по-нова версия, ще намерите само един
  елемент в менюто "Инструменти" – този за търсене на ден, а настройките за
  добавката ще бъдат в панела за настройки на NVDA.

## Съвместимост ##

* Тази добавка е съвместима с версиите на NVDA в диапазона от 2019.3 и
  по-нови.

## Промени във версия 20231015.0.0 ##

* Поправена е грешка, проявяваща се при навигация със стрелка нагоре от
  инструмента за избор на дата в най-новите версии на NVDA.

## Промени във версия 20230728.0.0 ##

* Приложени са правилата flake8 и mypy към кода;
* Променена е минималната поддържана версия на NVDA на 2019.3, за да се
  поддържат анотации, въведени в Python 3.

## Промени във версия 20230508.0.0 and beyond ##

* Променени са номера на версията, минималната версия на NVDA и връзката за
  изтегляне според конвенциите/изискванията на магазина.

## Промени във версия 19.02 ##

* Променено е номерирането на версията – сега тя се формира във формата
  ГГ.ММ (годината в 2 цифри, последвана от точка, последвана от номера на
  месеца с 2 цифри).
* Добавена е съвместимост с новите изисквания за съвместимост на добавките,
  налични в NVDA 2019.1.

## Промени във версия 6.0 ##

* Настройките за добавката са добавени към панела с настройките на NVDA за
  NVDA 2018.2 и по-нови версии.
* Командата за търсене на ден е преместена в меню "Инструменти".
* Добавена е обратна съвместимост на добавката с версиите на NVDA,
  предшестващи версия 2018.2, включително панела с настройките.

## Промени във версия 5.0 ##

* Добавена е съвместимост на добавката с wxPython 4.0 и Python3;
* Отстранена е грешка с пътища за добавката, съдържащи символи, които не са
  ASCII.

## Промени във версия 4.0 ##

* Добавката вече е в състояние да разпознава всички регионални формати за
  дата, които потребителят може да избере;
* Добавена е обратна съвместимост на добавката с версиите на NVDA,
  предшестващи версия 2016.4, която включва модула gui.guiHelper.

## Промени във версия 3.1 ##

* Връщане към използването на стария формат за деня от седмицата, защото
  позволява разпознаването на повече езици;
* Подобрена е достъпността на селектора за дата чрез разпознаване на трите
  полета: "Ден(", "Месец" и "Година" и техните съответни стойности;
* Добавен е способ за интегриране на грузинския език за разпознаване на
  дните от седмицата;
* Добавен е диалогов прозорец с настройки за включване или изключване
  достъпността на селектора за дата;
* Подменюто на добавката е преместено от "Инструменти" в "Настройки";
* Променена е категорията на добавката на "Ден от седмицата".

## Промени във версия 2.0 ##

* Използван е модулът gui.guiHelper с цел по-коректно визуализиране на
  диалоговия прозорец, запитващ за дата.
* Добавен е GPL лиценза към добавката.
* Дните от седмицата са преведени, така че добавката да работи правилно на
  различните езици;
* Променен е форматът за датите с цел избягване грешки в кодирането.

## Промени във версия 1.0 ##

* Първоначално издание.

[[!tag dev stable]]

[1]: https://www.nvaccess.org/addonStore/legacy?file=dayOfTheWeek

[2]: https://www.nvaccess.org/addonStore/legacy?file=dayOfTheWeek
